Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.service
Interface PrescriberService

All Known Implementing Classes:
  PrescriberServiceImpl

Deprecated.

    @Deprecated
    public interface PrescriberService

The Interface PrescriberService. Default impl : `PrescriberServiceImpl` Factory : `ServiceFactory`

Method Summary
`CreatePrescriptionResponse` | `createPrescription(SAMLToken token, CreatePrescriptionRequest request)` Deprecated. Creates the prescription.
`GetPrescriptionForPrescriberResponse` | `getPrescription(SAMLToken token, GetPrescriptionForPrescriberRequest request)` Deprecated. Gets the prescription.
`ListFeedbacksResponse` | `listFeedbacks(SAMLToken token, ListFeedbacksRequest request)` Deprecated. List feedback.
`ListOpenPrescriptionsResponse` | `listOpenPrescription(SAMLToken token, ListOpenPrescriptionsRequest request)` Deprecated. List open prescription.
`RevokePrescriptionResponse` | `revokePrescription(SAMLToken token, RevokePrescriptionRequest request)` Deprecated. Revoke prescription.
`SendNotificationResponse` | `sendNotification(SAMLToken token, SendNotificationRequest request)` Deprecated. Send notification.
`UpdateFeedbackFlagResponse` | `updateFeedbackFlag(SAMLToken token, UpdateFeedbackFlagRequest request)` Deprecated. Update feedback flag.

Method Detail

### createPrescription

    CreatePrescriptionResponse createPrescription(SAMLToken token,
                                                  CreatePrescriptionRequest request)
                                                  throws TechnicalConnectorException,
                                                         SessionManagementException

  Deprecated.
  Creates the prescription.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the string
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### sendNotification

    SendNotificationResponse sendNotification(SAMLToken token,
                                              SendNotificationRequest request)
                                              throws TechnicalConnectorException,
                                                     SessionManagementException

  Deprecated.
  Send notification.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the send notification response
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### revokePrescription

    RevokePrescriptionResponse revokePrescription(SAMLToken token,
                                                  RevokePrescriptionRequest request)
                                                  throws TechnicalConnectorException,
                                                         SessionManagementException

  Deprecated.
  Revoke prescription.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke prescription response
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### getPrescription

    GetPrescriptionForPrescriberResponse getPrescription(SAMLToken token,
                                                         GetPrescriptionForPrescriberRequest request)
                                                         throws TechnicalConnectorException,
                                                                SessionManagementException

  Deprecated.
  Gets the prescription.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the prescription
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### listOpenPrescription

    ListOpenPrescriptionsResponse listOpenPrescription(SAMLToken token,
                                                       ListOpenPrescriptionsRequest request)
                                                       throws TechnicalConnectorException,
                                                              SessionManagementException

  Deprecated.
  List open prescription.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the list
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### updateFeedbackFlag

    UpdateFeedbackFlagResponse updateFeedbackFlag(SAMLToken token,
                                                  UpdateFeedbackFlagRequest request)
                                                  throws TechnicalConnectorException,
                                                         SessionManagementException

  Deprecated.
  Update feedback flag.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the update feedback flag response
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### listFeedbacks

    ListFeedbacksResponse listFeedbacks(SAMLToken token,
                                        ListFeedbacksRequest request)
                                        throws TechnicalConnectorException,
                                               SessionManagementException

  Deprecated.
  List feedback.

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the list
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.